# xarray.core.coordinates.DatasetCoordinates

class `xarray.core.coordinates.``DatasetCoordinates`(dataset: Dataset)

  Dictionary like container for Dataset coordinates.

  Essentially an immutable dictionary with keys given by the array’s dimensions and the values given by the corresponding xarray.Coordinate objects.

  `__init__`(dataset: Dataset)

    Initialize self. See help(type(self)) for accurate signature.

  Methods

  `__init__`(dataset) | Initialize self.
  `get`(k[,d]) |
  `items`() |
  `keys`() |
  `merge`(other) | Merge two sets of coordinates to create a new Dataset
  `to_dataset`() | Convert these coordinates into a new Dataset
  `to_index`(ordered_dims) | Convert all index coordinates into a `pandas.Index`.
  `update`(other, Any]) |
  `values`() |

  Attributes

  `dims` |
  `indexes` |
  `variables` |